// This file is for building client-side typescript found
// in './src/client/typescript' to './src/client/public/generated/js'

import { build } from "esbuild";
import glob from "fast-glob";

const entryPoints = await glob("./src/client/src/ts/**/*");

build({
    entryPoints,
    outdir: "./src/client/public/generated/js",
    bundle: true,
    target: ["es6"],
    format: "iife",
    sourcemap: false,
    loader: {".ts": "ts"},
    minify: false
}).catch(() => process.exit(1));